#include <graphics.h>
#include <stdlib.h>
#include <stdio.h>
#include <conio.h>
#include <time.h>
#include <math.h>
#include <alloc.h>
#include <fcntl.h>
#include <sys\stat.h>
#include <io.h>



class vertex{
public:
	double x;
	double y;		// these coordinates we use when doing some calculation
	double z;

	double globalx;     // these we read from a file
	double globaly;
	double globalz;

	long drawx; // for drawing
	long drawy;
	long drawc;

	double normx;	// normal vector (to this vertex)
	double normy;	// it's the average normal from all faces this
	double normz;	// vertex belongs to

	double nx;	// the same - after rotating
	double ny;
	double nz;

	double nx2;	// the same - after rotating
	double ny2;
	double nz2;

};

#include "matrix.h"

struct face{
	vertex* P1;
	vertex* P2;		// three vertices in clockward (or not, I don't
	vertex* P3;		// remember  :) ) order.
};

struct sort_face{		// this struct is used when sorting faces before drawing
	face* address;
	long distance;
};

